---
title: Number.parseFloat()
slug: Web/JavaScript/Reference/Global_Objects/Number/parseFloat
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Number
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Number.parseFloat()</code></strong> method parses an argument and returns a floating point number. If a number cannot be parsed from the argument, it returns {{jsxref("NaN")}}.</span></p>

<div>{{EmbedInteractiveExample("pages/js/number-parsefloat.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Number.parseFloat(<var>string</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>string</var></code></dt>
 <dd>The value to parse. If this argument is not a string, then it is converted to one using the <code><a href="https://tc39.es/ecma262/#sec-tostring">ToString</a></code> abstract operation. Leading {{glossary("whitespace")}} in this argument is ignored.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A floating point number parsed from the given <code><var>string</var></code>.</p>

<p>Or {{jsxref("NaN")}} when the first non-whitespace character cannot be converted to a number.</p>

<h2 id="Polyfill">Polyfill</h2>

<pre class="brush: js notranslate">if (Number.parseFloat === undefined) {
  Number.parseFloat = parseFloat;
}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Number.parseFloat_vs_parseFloat">Number.parseFloat vs parseFloat</h3>

<p>This method has the same functionality as the global {{jsxref("parseFloat", "parseFloat()")}} function:</p>

<pre class="brush: js notranslate">Number.parseFloat === parseFloat; // true
</pre>

<p>This method is also part of ECMAScript 2015. (Its purpose is modularization of globals.)</p>

<p>See {{jsxref("parseFloat", "parseFloat()")}} for more detail and examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.parsefloat', 'Number.parseFloat')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.parseFloat")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>
  <dl>
   <dt>{{jsxref("Number")}}</dt>
   <dd>The object this method belongs to.</dd>
  </dl>
 </li>
 <li>The global {{jsxref("parseFloat", "parseFloat()")}} method.</li>
</ul>
